org.apache.tomcat.websocket

## Class WsHandshakeResponse

- java.lang.Object
- - org.apache.tomcat.websocket.WsHandshakeResponse

- All Implemented Interfaces:
    HandshakeResponse

      public class WsHandshakeResponse
      extends Object
      implements HandshakeResponse

  Represents the response to a WebSocket handshake.

- - ### Field Summary

    - ### Fields inherited from interface javax.websocket.HandshakeResponse

      `SEC_WEBSOCKET_ACCEPT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WsHandshakeResponse()`
    `WsHandshakeResponse(Map<String,List<String>> headers)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Map<String,List<String>>` | `getHeaders()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WsHandshakeResponse

          public WsHandshakeResponse()

    - #### WsHandshakeResponse

          public WsHandshakeResponse(Map<String,List<String>> headers)

  - ### Method Detail

    - #### getHeaders

          public Map<String,List<String>> getHeaders()

      Specified by:
        `getHeaders` in interface `HandshakeResponse`

Copyright © 2000-2022 Apache Software Foundation. All Rights Reserved.